%define upstream_name    ManaTools
%define upstream_version 1.1.6
%define yui_major   7
%define internal_ver 0

%global debug_package %{nil}

Name:          manatools
Version:       %perl_convert_version %{upstream_version}
Release:       %mkrel 1

Summary:       ManaTools is a collection of user-friendly system configuration tools
License:       GPLv2+
Group:         System/Configuration
# TODO fix url when git is moved accordingly
Url:           http://gitweb.mageia.org/software/manatools/
Source0:       http://gitweb.mageia.org/software/manatools/snapshot/%{name}-%{upstream_version}.tar.xz

Obsoletes:     adminpanel < 1.0.0-1

BuildRequires: gettext
BuildRequires: itstool
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl-devel

Requires:      bash-completion
Requires:      perl-MDK-Common >= 1.1.18-2
Requires:      perl-MooseX-Getopt
Requires:      perl-URPM >= 3.07-2
Requires:      perl-USER
Requires:      perl-yui
Requires:      polkit
Requires:      urpmi >= 7.30
Requires:      %{_lib}yui%{yui_major}-ncurses
Requires:      %{_lib}yui%{yui_major}-mga-ncurses
Recommends:    manatools-gui

%description
ManaTools is a collection of configuration tools that allows
users to configure most of their system components in a very simple,
intuitive and attractive interface. It consists of some modules
that can be also run as autonomous applications.

Its entry point is 'mpan', which acts as an overview for all the
distinct Manatools.

ManaTools started as a porting of MCC (Mageia/Mandriva Control Center)
to libYui (Suse widget abstraction library), but its aim is to give
an easy and common interface to developer to add new modules based
on libYui. Every modules as well as ManaTools itself can be run
using Qt, GTK+ or ncurses interface.

%package qt
Summary:        ManaTools for Qt
Group:          System/Configuration
Provides:       manatools-gui
Requires:       manatools
Requires:       manatools-common
Requires:       %{_lib}yui%{yui_major}-qt
Requires:       %{_lib}yui%{yui_major}-mga-qt
Obsoletes:      adminpanel-qt < 1.0.0-1

%description qt
manatools-qt is a meta-package containing Qt dependency for manatools.
It allows the use of the Qt graphical interface.

%package gtk
Summary:        ManaTools for GTK+
Group:          System/Configuration
Provides:       manatools-gui
Requires:       manatools
Requires:       manatools-common
Requires:       %{_lib}yui%{yui_major}-gtk
Requires:       %{_lib}yui%{yui_major}-mga-gtk
Obsoletes:      adminpanel-gtk < 1.0.0-1

%description gtk
manatools-gtk is a meta-package containing GTK+ dependency for manatools.
It allows the use of the GKT+ graphical interface.

%package common
Summary:        Shared files for Qt and GTK+ flavours of ManaTools
Group:          System/Configuration

%description common
This package contains shared files used by both the Qt and GTK+ flavours of
ManaTools, which are however not strictly necessary for the ncurses flavour
in the main manatools package.

%package extra
Summary:        ManaTools extra modules
Group:          System/Configuration
Requires:       manatools
Obsoletes:      adminpanel-extra < 1.0.0-1
Requires:       python-yui

%description extra
manatools-extra contains some extra modules written in python.

%prep
%setup -q -n %{name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLSITEBIN=%{_bindir}
%make_build CFLAGS="%{optflags}"

%install
%make_install PREFIX=%{buildroot}%{_prefix} install_locales

%find_lang %{name}

# NOTE removing files needed to localize configurations
find extras -name "*.in" -type f -delete
find extras -name "*.its" -type f -delete

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -R extras/conf/* %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions/
cp -R extras/polkit/* %{buildroot}%{_datadir}/polkit-1/actions

mkdir -p %{buildroot}%{_datadir}/applications
cp -R extras/desktop/* %{buildroot}%{_datadir}/applications

#icons TODO fixing
install -d %{buildroot}%{_iconsdir}
install -m644 share/images/mana*.png %{buildroot}%{_iconsdir}
install -m644 share/images/mpan.png %{buildroot}%{_iconsdir}

#bash completions
install -d -m755 %{buildroot}%{_datadir}/bash-completion/completions
install -m644 extras/bash_completion/mana %{buildroot}%{_datadir}/bash-completion/completions/mana

%check
#make test

%files qt

%files gtk

%files common
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png

%files extra
%{_bindir}/contribfinder.py

%files -f manatools.lang
%doc Changes README.md MODULE_HACKING COPYING.GPLv2
%{perl_vendorlib}/%{upstream_name}
%{perl_vendorlib}/auto/share/dist/%{name}
%{_bindir}/mana*
%{_bindir}/*dragora*
%{_bindir}/mpan
%{_datadir}/bash-completion/completions/mana
%{_datadir}/polkit-1/actions/org.mageia.*.policy
%{_mandir}/man1/*.1*
%{_mandir}/man3/ManaTools*.3*
%dir %{_sysconfdir}/%{name}/
%config %{_sysconfdir}/%{name}/mpan/categories.conf.d/*
%config(noreplace) %{_sysconfdir}/%{name}/mpan/settings.conf
%config(noreplace) %{_sysconfdir}/%{name}/mpan/categories.conf
%config(noreplace) %{_sysconfdir}/%{name}/manauser/manauser
%config(noreplace) %{_sysconfdir}/%{name}/manawall/spec.conf


%changelog
* Mon Jun 05 2017 akien <akien> 1.1.6-1.mga6
+ Revision: 1106919
- Version 1.1.6, translation updates

* Mon Mar 27 2017 akien <akien> 1.1.5-2.mga6
+ Revision: 1094988
- Make -qt and -gtk packages provide manatools-gui, recommended by manatools
- Split desktop files out in -common subpackage, dep for -qt and -gtk
  o This allows installing only the ncurses variant without having desktop files for it
- Improve descriptions and cleanup spec

* Mon Mar 13 2017 akien <akien> 1.1.5-1.mga6
+ Revision: 1092449
- Version 1.1.5 (updates translations)

* Sun Oct 09 2016 anaselli <anaselli> 1.1.4-2.mga6
+ Revision: 1059858
- Added patch to manage chronyd pool server configuration

* Mon Aug 08 2016 anaselli <anaselli> 1.1.4-1.mga6
+ Revision: 1044977
- new 1.1.4 version

* Sat Jul 09 2016 anaselli <anaselli> 1.1.3-3.mga6
+ Revision: 1039964
- fixed manauser crash in case of shadow lock file problem

* Thu Jun 16 2016 anaselli <anaselli> 1.1.3-2.mga6
+ Revision: 1021634
- removing urpm_downloader from Makefile as well
- New version 1.1.3 - e.g. 1.1.2 patch collection and localization update

* Wed Jun 08 2016 anaselli <anaselli> 1.1.2-8.mga6
+ Revision: 1020876
- mga#18643, dragoraUpdate can be run as user only with mana update command now

* Fri Jun 03 2016 anaselli <anaselli> 1.1.2-7.mga6
+ Revision: 1020168
- Bug#18288 - rigth setuid launching www-browser

* Thu Jun 02 2016 anaselli <anaselli> 1.1.2-6.mga6
+ Revision: 1020016
- Bug#18568 - another workaround

* Wed Jun 01 2016 anaselli <anaselli> 1.1.2-5.mga6
+ Revision: 1019656
- Bug#18568 - Manatools fail to launch when isodumper is installed

* Sun May 08 2016 anaselli <anaselli> 1.1.2-4.mga6
+ Revision: 1010962
- Fixed github issue 3 - manaservice cannot disable legacy services

* Sat Apr 30 2016 anaselli <anaselli> 1.1.2-3.mga6
+ Revision: 1008215
- really fixed user edit

* Fri Apr 29 2016 anaselli <anaselli> 1.1.2-2.mga6
+ Revision: 1007991
- Fixed user edit with special chars in fullname

* Sun Mar 13 2016 anaselli <anaselli> 1.1.2-1.mga6
+ Revision: 990349
- new version 1.1.2

* Tue Feb 09 2016 anaselli <anaselli> 1.1.1-4.mga6
+ Revision: 952965
- Avoid to select first package of the group when a package is checked

* Sat Feb 06 2016 anaselli <anaselli> 1.1.1-3.mga6
+ Revision: 942152
- rebuilt for missed MooseX::Getopt dep

* Wed Feb 03 2016 anaselli <anaselli> 1.1.1-2.mga6
+ Revision: 934161
- fixed URL

* Wed Feb 03 2016 anaselli <anaselli> 1.1.1-1.mga6
+ Revision: 934156
- new version 1.1.1

* Sun Jan 24 2016 anaselli <anaselli> 1.1.0-1.mga6
+ Revision: 926855
- new 1.1.0 version

* Thu Nov 19 2015 anaselli <anaselli> 1.0.1-5.mga6
+ Revision: 904367
- Removed userdrake and rpmdrake deps

* Sun Nov 01 2015 anaselli <anaselli> 1.0.1-4.mga6
+ Revision: 897138
- disabled debug package no need here
- Rebuild against ney libyui

* Fri May 08 2015 anaselli <anaselli> 1.0.1-3.mga5
+ Revision: 821435
- Fixed restart of rpmdragora and dragoraUpdate in case of priority packages and ncurses GUI

* Wed Apr 01 2015 anaselli <anaselli> 1.0.1-2.mga5
+ Revision: 819514
- fixed dragoraUpdate crash if --help is passed to command line

* Fri Mar 27 2015 anaselli <anaselli> 1.0.1-1.mga5
+ Revision: 819333
- Fixed /etc/systemd/timesyncd.conf configuration and access
- manatools 1.0.1 obsolote adminpanel 1.0.0
  fix mga#15552 error setting time in manaclock
  fix mga#14266 .rpmnew management from rpmdrake
- moved adminpanel to new name manatools

* Mon Feb 23 2015 anaselli <anaselli> 1.0.0-0.20.mga5
+ Revision: 816752
- fixed confirmation dialog size (thanks marja for the report)

* Thu Feb 19 2015 anaselli <anaselli> 1.0.0-0.19.mga5
+ Revision: 815807
- Fixed dragoraUpdate select/uncheck all
  Fixed dragoraUpdate sometime crash on exit

* Tue Feb 17 2015 anaselli <anaselli> 1.0.0-0.18.mga5
+ Revision: 815449
- New version with button shortcut fixing and manawall as major changes

* Tue Jan 13 2015 anaselli <anaselli> 1.0.0-0.17.mga5
+ Revision: 810397
- Managed manaservice in user space (thanks Colin)

* Sun Jan 04 2015 anaselli <anaselli> 1.0.0-0.16.mga5
+ Revision: 808446
- added tarball
- Fixed Bug 14927 - rpmdragora: The search of a package doesn't have any result

* Sat Dec 27 2014 anaselli <anaselli> 1.0.0-0.15.mga5
+ Revision: 806558
- Fixed bug 14883 - mana service shows only a small part of what drakxservices shows (services and daemons)

* Thu Dec 18 2014 matteo <matteo> 1.0.0-0.14.mga5
+ Revision: 804062
- added source file for mana bash completions

* Sat Dec 13 2014 anaselli <anaselli> 1.0.0-0.13.mga5
+ Revision: 802915
- Restored add mirror function, broken by previous common.pm clean up (thanks marja)

* Fri Dec 12 2014 anaselli <anaselli> 1.0.0-0.12.mga5
+ Revision: 802838
- new snapshot containing also a preview of rpmdragora and dragoraUpdate

* Sun Nov 23 2014 anaselli <anaselli> 1.0.0-0.11.mga5
+ Revision: 798658
- Fixed mana pan launcher

* Tue Oct 21 2014 anaselli <anaselli> 1.0.0-0.10.mga5
+ Revision: 792361
- new package with mana user reviewed

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.9.mga5
+ Revision: 748124
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 anaselli <anaselli> 1.0.0-0.8.mga5
+ Revision: 737010
- Fixed manauser gtk endless loop on warning

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-0.7.mga5
+ Revision: 677702
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 anaselli <anaselli> 1.0.0-0.6.mga5
+ Revision: 675141
- Fixed icon on lxqt
- Fixed crash in dragora-edit-sources with no media

* Sat Sep 06 2014 anaselli <anaselli> 1.0.0-0.5.mga5
+ Revision: 672995
- Fixed lowercase packaging and python dep into extra

* Wed Sep 03 2014 anaselli <anaselli> 1.0.0-0.4.mga5
+ Revision: 671479
- wrong yui_major macro

* Wed Sep 03 2014 anaselli <anaselli> 1.0.0-0.3.mga5
+ Revision: 671474
- made it as arch dependent to fix yui issues

* Wed Sep 03 2014 anaselli <anaselli> 1.0.0-0.2.mga5
+ Revision: 671424
- fixed yui plugin dependency (arch issue)

* Tue Sep 02 2014 anaselli <anaselli> 1.0.0-0.1.mga5
+ Revision: 670838
- forgot about
- fixed perl 5.20.0 locale
- updated icons with new tarball
- missing build required File::ShareDir::Install
- imported package adminpanel

  + matteo <matteo>
    - install missing icon for mpan

